=== debian/changelog ===
bind9 (1:9.16.50-1~deb11u4) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team
  * Add patch for CVE-2025-40778:
    + Address various spoofing attacks
  * Add patch for CVE-2025-40780:
    + Cache-poisoning due to weak pseudo-random number generator
  * Add patches for CVE-2025-8677:
    + DNSSEC validation fails if matching but invalid DNSKEY is found

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 30 Oct 2025 10:48:50 +0100

bind9 (1:9.16.50-1~deb11u3) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team
  * d/tests: add new test: zonetest.
    Test checks the domain zone creation process
  * Add patch for CVE-2024-11187:
    + Limit additional section processing for large RDATA sets
    + d/t/zoneinfo: expand to include upstream 'minimal-any no;' test
  * d/.gitlab-ci.yml: add lts-team salsa pipeline

 -- Paride Legovini <paride@debian.org>  Tue, 11 Feb 2025 12:17:44 +0100

bind9 (1:9.16.50-1~deb11u2) bullseye; urgency=medium

  * Add patches for CVE-2024-1737 configurable limits:
   + New option max-records-per-type can be used to increase the
     limit on the maximum number of resource record for a single
     RRSet (owner, class, type).  The default is 100.
   + New option max-types-per-name can be used to increate the
     limit on the maximum number of types for a single name.
     The default is 100.
  * Also add the patches to fix the system tests to verify the
    correctness of the changes.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Jul 2024 12:05:11 +0200

bind9 (1:9.16.50-1~deb11u1) bullseye-security; urgency=high

  * Backported from BIND 9.18.28
   + CVE-2024-1737: It is possible to craft excessively large resource
     records sets, which have the effect of slowing down database
     processing. This has been addressed by adding a fixed limit to
     the number of records that can be stored per name and type in a cache
     or zone database.
   + CVE-2024-1737: It is possible to craft excessively large numbers of
     resource record types for a given owner name, which has the effect of
     slowing down database processing. This has been addressed by adding a
     fixed limit to the number of records that can be stored per
     name and type in a cache or zone database.
   + CVE-2024-1975: Validating DNS messages signed using the SIG(0)
     protocol could cause excessive CPU load, leading to a
     denial-of-service condition.  Support for SIG(0) message validation
     was removed from this version.
   + CVE-2024-4076: Due to a logic error, lookups that triggered serving
     stale data and required lookups in local authoritative zone data could
     have resulted in an assertion failure.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 23 Jul 2024 15:15:18 +0200

bind9 (1:9.16.49-1~deb11u1) bullseye-security; urgency=high

  * New upstream version 9.16.49
   - A regression caused by CVE-2023-6516 fix could lead into
     an out-of-memory condition when the server is under heavy
     load.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Mar 2024 14:01:54 +0100

bind9 (1:9.16.48-1~deb11u1) bullseye-security; urgency=high

  * New upstream version 9.16.48
   - CVE-2023-4408: Parsing large DNS messages may cause excessive CPU
     load
   - CVE-2023-5517: Querying RFC 1918 reverse zones may cause an assertion
     failure when "nxdomain-redirect" is enabled
   - CVE-2023-5679: Enabling both DNS64 and serve-stale may cause an
     assertion failure during recursive resolution
   - CVE-2023-6516: Specific recursive query patterns may lead to an
     out-of-memory condition
   - CVE-2023-50387: KeyTrap - Extreme CPU consumption in DNSSEC validator
   - CVE-2023-50868: Preparing an NSEC3 closest encloser proof can exhaust
     CPU resources
  * Update patches from debian/9.16 branch
   - Disable treat-warnings-as-errors in sphinx-build
   - Remove the reference to OPTIONS.md - it breaks build on Debian
     stretch

 -- Ondřej Surý <ondrej@debian.org>  Mon, 12 Feb 2024 17:25:59 +0100
