=== debian/control ===
--- 
+++ 
@@ -1,45 +1,45 @@
 Source: bind9
 Section: net
 Priority: optional
-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Bernhard Schmidt <berni@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 12),
                dh-apparmor,
+               dh-apport,
                dh-exec,
-               dh-python,
                libcap2-dev [linux-any],
                libcmocka-dev,
                libdb-dev,
                libedit-dev,
-               libfstrm-dev,
                libidn2-dev,
                libjson-c-dev,
                libkrb5-dev,
                liblmdb-dev,
+               libltdl-dev,
                libmaxminddb-dev (>= 1.3.0),
-               libprotobuf-c-dev,
+               libnghttp2-dev,
                libssl-dev,
                libtool,
+               libtool-bin,
                libuv1-dev (>= 1.40.0),
                libxml2-dev,
                pkg-config,
-               protobuf-c-compiler,
                python3,
-               python3-ply,
                zlib1g-dev
 Build-Depends-Indep: fonts-freefont-otf,
                      latexmk,
                      python3-sphinx,
                      python3-sphinx-rtd-theme,
-                     texlive-fonts-recommended,
+                     texlive-fonts-extra,
                      texlive-latex-recommended,
                      texlive-xetex,
                      xindy
 Standards-Version: 4.1.2
 Vcs-Browser: https://salsa.debian.org/dns-team/bind9
-Vcs-Git: https://salsa.debian.org/dns-team/bind9.git
+Vcs-Git: https://salsa.debian.org/dns-team/bind9.git -b debian/9.18
 Homepage: https://www.isc.org/downloads/bind/
 
 Package: bind9
@@ -79,8 +79,8 @@
 
 Package: bind9-utils
 Architecture: any
-Depends: ${misc:Depends},
-         ${python3:Depends},
+Depends: bind9-libs (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends}
 Breaks: bind-utils (<< 1:9.13.6~),
         bind9utils (<< 1:9.12.0~),
@@ -105,7 +105,8 @@
 Package: bind9-host
 Priority: standard
 Architecture: any
-Depends: ${misc:Depends},
+Depends: bind9-libs (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends}
 Provides: host
 Breaks: bind-host (<< 1:9.13.6~)
